<div *ngIf="anchor">
  <kendo-popup #popup
               class="app-date-picker-popup-wrapper"
               [anchor]='anchor'
               [collision]="collision"
               popupClass="d-flex justify-content-center align-items-center app-date-selection-popup"
               *ngIf="isCalendarOpen"
               (open)="openCalendarPopup()"
               (mouseover)="calenderPopupFocus(true)"
               (mouseleave)="calenderPopupFocus(false)"
  >
    <dx-calendar
      class="app-calendar-popup"
      [minZoomLevel]="minZoomLevel"
      [maxZoomLevel]="maxZoomLevel"
      [firstDayOfWeek]="1"
      [disabled]="false"
      [value]="_value"
      [min]="min"
      [max]="max"
      cellTemplate="custom"
      (onOptionChanged)="optionChanged()"
      (valueChange)="onDateSelect($event)"
    >

      <div class="d-flex align-items-center justify-content-center calender-tmplt-cell"
           *dxTemplate="let cell of 'custom'"

      >
        <div class="d-flex align-items-center justify-content-center calender-tmplt-cell-text">
          {{cell.text}}
        </div>
      </div>
    </dx-calendar>
    <div class="container-fluid p-0 text-center" *ngIf="isTodayButton">
      <button class="flex-fill sdlr-view-btn remove-border no-border-bg-btn"
              (click)="setTodayDate()">
        Today
      </button>
    </div>
  </kendo-popup>
</div>
